Package groovy.console.ui.text

# Class StructuredSyntaxResources

java.lang.Object
groovy.console.ui.text.StructuredSyntaxResources

public final class StructuredSyntaxResources extends Object
Contains all the basic resources and values used by the utility framework.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Font`
  `EDITOR_FONT`
  Default monospaced font for editors.
  `static final String`
  `FIND`
  Presentation name for find actions.
  `static final String`
  `FIND_NEXT`
  Presentation name for find-next actions.
  `static final Font`
  `LARGE_FONT`
  Large UI font used by legacy console components.
  `static final Font`
  `MEDIUM_FONT`
  Medium UI font used by legacy console components.
  `static final String`
  `PRINT`
  Presentation name for print actions.
  `static final String`
  `REDO`
  Presentation name for redo actions.
  `static final String`
  `REPLACE`
  Presentation name for replace actions.
  `static final Font`
  `SMALL_FONT`
  Small UI font used by legacy console components.
  `static final Clipboard`
  `SYSTEM_CLIPBOARD`
  Shared clipboard used by the console text components.
  `static final String`
  `UNDO`
  Presentation name for undo actions.

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SYSTEM_CLIPBOARD

    public static final Clipboard SYSTEM_CLIPBOARD
    Shared clipboard used by the console text components.

  - ### LARGE_FONT

    public static final Font LARGE_FONT
    Large UI font used by legacy console components.

  - ### MEDIUM_FONT

    public static final Font MEDIUM_FONT
    Medium UI font used by legacy console components.

  - ### SMALL_FONT

    public static final Font SMALL_FONT
    Small UI font used by legacy console components.

  - ### EDITOR_FONT

    public static final Font EDITOR_FONT
    Default monospaced font for editors.

  - ### UNDO

    public static final String UNDO
    Presentation name for undo actions.
    See Also:
      - Constant Field Values

  - ### REDO

    public static final String REDO
    Presentation name for redo actions.
    See Also:
      - Constant Field Values

  - ### PRINT

    public static final String PRINT
    Presentation name for print actions.
    See Also:
      - Constant Field Values

  - ### FIND

    public static final String FIND
    Presentation name for find actions.
    See Also:
      - Constant Field Values

  - ### FIND_NEXT

    public static final String FIND_NEXT
    Presentation name for find-next actions.
    See Also:
      - Constant Field Values

  - ### REPLACE

    public static final String REPLACE
    Presentation name for replace actions.
    See Also:
      - Constant Field Values